[PACKAGE]: ../../raw/master/checkpoint_vsx_system-0.5.1-20230626.mkp "Download latest version checkpoint_vsx_system-0.5.1-20230626.mkp"

# VSX Status

Monitors status of Check Point VSX systems

 **Note**: this check supersedes _checkpoint_vsx_, _checkpoint_vsx_connections_, _checkpoint_vsx_traffic_, _checkpoint_vsx_packets_ and _checkpoint_vsx_status_

---
### Check Info

* *service*: this check will create one service per VSX virtual system on the VSX host

* *state*:\
  **critical**
  * if vsxStatusHAState is not 'active' or 'standby'
  * if vsxStatusSicTrustState if not 'trust established'
  * if vsxStatusVsPolicyType if not 'active'

  **warning**
  * if vsxStatusPolicyName is changed from the inventory value -> different policy name
  * if vsxStatusHAState is changed from the inventory value  -> cluster state change

  **warning**/**critical**
  * if number of active connections outside configured levels

* *wato*: [(see WATO options)](/../../../-/raw/master/doc/wato.png "see WATO options")

* *perfdata*: 
    * connections (count)
    * connections peak (count)
    * packets processed/s
    * packets dropped/s
    * packets accepted/s
    * packets rejected/s
    * bytes accepted/s
    * bytes dropped/s
    * bytes rejected/s
    * loggs send/s

---
### Download

* [Download latest mkp file][PACKAGE]

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_vsx_system.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

***Note:*** if youe ar updating from a version before _0.5.0-20230619_ you need to reconfigure your _Check Point VSX System_ WATO rule(s).

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

WATO options (check)

![WATO options](/doc/wato.png?raw=true "WATO options")

WATO options (dicovery)

![WATO options (discovery)](/doc/wato-discovery.png?raw=true "WATO options (discovery)")
